

package com.ruoyi.xq.enums.userinfo;


import lombok.Getter;

/**
 * 是否吸烟
 * <p>created on 2024/2/26 16:50</p>
 * @author duet
 */
@Getter
public enum UserSmokeStatusEnum {
    BX_FG(1,"不吸，很反感"),
    BX_BFG(2,"不吸烟，但不反感"),
    SJOEXY(3,"社交偶尔吸烟"),
    YBLS(4,"烟不离手"),
    ;


    private final Integer code;
    private final String text;

    UserSmokeStatusEnum(Integer code, String text) {
        this.code = code;
        this.text = text;
    }
}
